package it.polito.bigdata.hadoop;

import java.io.IOException;

import com.amazonaws.services.dynamodbv2.xspec.NULL;
import org.apache.hadoop.io.DoubleWritable;
import org.apache.hadoop.io.IntWritable;
import org.apache.hadoop.io.NullWritable;
import org.apache.hadoop.io.Text;
import org.apache.hadoop.mapreduce.Mapper;
import org.apache.hadoop.mapreduce.Reducer;

/**
 * Basic MapReduce Project - Reducer
 */
class ReducerBigData extends Reducer<
                Text,
                IntWritable,
                Text,
                IntWritable> {
    @Override
    protected void reduce(
        Text key,
        Iterable<IntWritable> values,
        Context context) throws IOException, InterruptedException {
        int shortCount = 0;
        int totDuration = 0;

        for(IntWritable duration : values) {
            int v = duration.get();
            if(v < 15)
                shortCount++;
            totDuration += v;
        }

        if(totDuration > 600 && shortCount > 10)
            context.write(key, new IntWritable(shortCount));

    }

}
